Skip to main content
POST

Scan API

Open and issuing mining rounds

OpenAPISince 0.5.10
All current open and issuing mining rounds, if the request is empty; passing contract IDs in the request can reduce the response data for polling/client-cache-update efficiency.

Protocol Details

Operation IDgetOpenAndIssuingMiningRounds
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
object[]
required
OpenAPI type: ContractId[].The contract IDs for open_mining_rounds in the response the caller knows about. If unsure, an empty array is fine; only a performance penalty is incurred.
object[]
required
OpenAPI type: ContractId[].The contract IDs for issuing_mining_rounds in the response the caller knows about. If unsure, an empty array is fine; only a performance penalty is incurred.

Outputs

200

application/json
integer
required
Suggested cache TTL for the response; this should expire before the opensAt of any open rounds that may not be in this response yet.
MaybeCachedContractWithStateMap
required
Always created with respect to an input set of contract IDs. If an input contract ID is absent from the keys of this map, that contract should be considered removed by the caller; if present, contract may be empty, reflecting that the caller should already have the full contract data for that contract ID. Contracts not present in the input set will have full contract data. domain_id is always up-to-date; if undefined the contract is currently unassigned to a synchronizer, i.e. “in-flight”.
MaybeCachedContractWithStateMap
required
Always created with respect to an input set of contract IDs. If an input contract ID is absent from the keys of this map, that contract should be considered removed by the caller; if present, contract may be empty, reflecting that the caller should already have the full contract data for that contract ID. Contracts not present in the input set will have full contract data. domain_id is always up-to-date; if undefined the contract is currently unassigned to a synchronizer, i.e. “in-flight”.

History

Introduced0.5.10